### Reset

Category

Interactor

Function

Outputs one of two values.

Syntax

Available only through the user interface.

Outputs

Name | Type | Description
--- | --- | ---
`output` | value or string | output of Reset

Functional Details

This module outputs one ("set") value on the first execution after the Reset toggle has been activated and another ("unset") on all subsequent executions. The module will continue to output the "unset" value in subsequent executions until the toggle is activated again. The default values are "1" (set) and "0" (unset), but these can be modified to any value or string with `Set Attributes...` dialog box (selected from the `Edit` pull-down menu of the Interactor control panel).

Possible uses of the Reset interactor include driving the reset toggle of the Get module to initialize a program state and restarting an external simulator.

Note: This interactor cannot be data driven.

Example Visual Programs

    MultipleDataSets.net
    UsingSwitchAndRoute.net

See Also GetLocal

[ OpenDX Home at IBM | OpenDX.org ]